Description

The attached patch changes the default Gravatar icon from "none" to "ldenticions”.

Currently, if "Use Gravatar user icons" setting is enabled and "Default Gravatar image" setting has not been changed, the default "G"
icon is used for every user who has not registered their icon on Gravatar. But | think it is inconvenient because you cannot distinguish
a user by seeing icon.

To resolve this, | suggest changing the default value for "Default Gravatar image" from "none" to another value. When the value is
other than "none", different icons are automatically generated for users who have not registered their Gravatar icon. As a result, you
can easily distinguish users.

There are 6 options for the setting. | think "Identicons"” is the best for the new default. It is because the design of Identicons icons is
neutral and not childish, so, acceptable for many people.

The attached patch changes the default setting for newly installed Redmine instances.
John Smith

. @ 12:00 AM Bug #1: Cannot print recipes
Some notes with Redmine links: #2, r2.
John Smith

> @ 12:00 AM eCookbook Subproject 1 - Bug #14: Private issue on public project

A comment on a private issue.
Associated revisions

Revision 19520 - 2020-02-18 02:53 - Go MAEDA

Change the default value for "Default Gravatar image" to "ldenticons" (#32998).

Patch by Go MAEDA.

History

#1 - 2020-02-13 08:46 - Bernhard Rohloff

+1 It's a way better default option and also well known from other platforms.

#2 - 2020-02-13 10:28 - Kevin Fischer

+1 As Bernhard said, it'a a well known and good-looking default option!

#3 - 2020-02-14 00:35 - Go MAEDA

- Target version set to 4.2.0

Setting the target version to 4.2.0.

#4 - 2020-02-18 02:53 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.
